http://qs321.pair.com?node_id=37237
Description:

How many times have you wondered what version of a module you had installed, just to check it using perl -e. Why bother? Just put this little snippet in '/usr/local/bin' or some other accessible place. (Win32 users can wrap it in a batch file.)

perlmodver Template DBI File::Spec

Results in:

Template : 2.00-beta5 DBI : 1.13 File::Spec : 0.6
#!/usr/bin/perl
use strict;
foreach my $module ( @ARGV ) {
  eval "require $module";
  printf( "%-20s: %s\n", $module, $module->VERSION ) unless ( $@ );
}